Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Europa 3.3 WTP Issue - Error updating Axis deploy.wsdd file
Europa 3.3 WTP Issue - Error updating Axis deploy.wsdd file [message #199659] Thu, 13 September 2007 00:11 Go to next message
mark streit is currently offline mark streit
Messages: 11
Registered: July 2009
Junior Member
I just downloaded and installed the Europa JEE distribution from the page:
http://www.eclipse.org/downloads/

I then proceeded to create a "Dynamic Web Project" where:

I am using Tomcat 5.5.17
I am using JDK 1.5.0_10

In the web project I add a package and class, the class of which is a Java
Bean class that I attempt to create a "bottom up" web service with. I step
through the dialogs selecting the Tomcat 5.5 runtime and Apache Axis (not
Axis2) as the WS runtime. The slider in the Web Service dialog is set to
perform all the steps to "Start the Service". I click the Next or Finish
buttons and repeatedly get met with:

IWAB0524E Error updating Axis deploy.wsdd file
javax.xml.transform.TransformerConfigurationException: Could not compile
stylesheet
at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFact oryImpl.newTemplates(TransformerFactoryImpl.java:824)
at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFact oryImpl.newTransformer(TransformerFactoryImpl.java:613)
at
org.eclipse.jst.ws.internal.axis.creation.ui.task.UpdateAxis WSDDFileTask.execute(UpdateAxisWSDDFileTask.java:106)

The Eclipse install zip file was installed in a directory:
c:\Eclipse\Eclipse3.3 Europa JEE. It is my understanding that it does NOT
MATTER where the installation is done. In the Windows -> Preferences
dialog, I made sure that the Tomcat and JDK values were pointed to correct
locations for each respectively. I also tried using Tomcat 6.0 and JDK 1.6
as well and get the same errors...

Does anyone have any idea what might be causing this? Any ideas would be
appreciated.

Thanks
Re: Europa 3.3 WTP Issue - Error updating Axis deploy.wsdd file [message #199663 is a reply to message #199659] Thu, 13 September 2007 01:27 Go to previous message
mark streit is currently offline mark streit
Messages: 11
Registered: July 2009
Junior Member
Ok....someone else had mentioned in this post (re: similar problem)
http://www.nabble.com/Re%3A-WAB0524E-Error-updating-Axis-dep loy.wsdd-file-p10953752.html

that the Eclipse installation had to be off the C:\ root drive in order to
get this to work.

So, just to see, I moved my installation folder up one level from

c:\Eclipse\Eclipse3.3 Europa JEE to...

c:\Eclipse3.3_Europa_JEE

and restarted Eclipse, repeated the steps to create the WS and IT COMPLETELY
WORKED THIS TIME. HOWEVER, notice that I also took the spaces out of the
directory name. As it turns out, it would appear that THIS IS WHAT THE REAL
ISSUE IS. I then moved the directory back up to
c:\Eclipse\Eclipse3.3_Europa_JEE (note there are no spaces in the directory
name)...and IT WORKED CORRECTLY AGAIN. Somehow, the spaces in a directory
name where Eclipse is run from will cause the odd behavior and exception
shown in the original post.

It is still a puzzle as to why this happens, however, the solution appears
to be to "not use spaces in the directory name" where you install the
Eclipse distribution.





"mark" <mcs130@gmail.com> wrote in message
news:fcad6n$ic$1@build.eclipse.org...
>I just downloaded and installed the Europa JEE distribution from the page:
>http://www.eclipse.org/downloads/
>
> I then proceeded to create a "Dynamic Web Project" where:
>
> I am using Tomcat 5.5.17
> I am using JDK 1.5.0_10
>
> In the web project I add a package and class, the class of which is a Java
> Bean class that I attempt to create a "bottom up" web service with. I
> step through the dialogs selecting the Tomcat 5.5 runtime and Apache Axis
> (not Axis2) as the WS runtime. The slider in the Web Service dialog is
> set to perform all the steps to "Start the Service". I click the Next or
> Finish buttons and repeatedly get met with:
>
> IWAB0524E Error updating Axis deploy.wsdd file
> javax.xml.transform.TransformerConfigurationException: Could not
> compile stylesheet
> at
> com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFact oryImpl.newTemplates(TransformerFactoryImpl.java:824)
> at
> com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFact oryImpl.newTransformer(TransformerFactoryImpl.java:613)
> at
> org.eclipse.jst.ws.internal.axis.creation.ui.task.UpdateAxis WSDDFileTask.execute(UpdateAxisWSDDFileTask.java:106)
>
> The Eclipse install zip file was installed in a directory:
> c:\Eclipse\Eclipse3.3 Europa JEE. It is my understanding that it does NOT
> MATTER where the installation is done. In the Windows -> Preferences
> dialog, I made sure that the Tomcat and JDK values were pointed to correct
> locations for each respectively. I also tried using Tomcat 6.0 and JDK
> 1.6 as well and get the same errors...
>
> Does anyone have any idea what might be causing this? Any ideas would be
> appreciated.
>
> Thanks
>
Previous Topic:invoke XML
Next Topic:Dynamially adding version for project facet version
Goto Forum:
  


Current Time: Fri Aug 22 09:45:55 EDT 2014

Powered by FUDForum. Page generated in 0.01598 seconds